package com.sikey.wa04.business.domain.adapter;

/**
 * 消息ID递增适配器
 *
 * @author luoyangwei
 */
public interface MessageIdIncrementingAdapter<ID> {

    /**
     * 递增
     *
     * @return 递增后的ID
     */
    ID incr();

    /**
     * 递增
     *
     * @return 递增后的ID
     */
    ID incr(String key);
}
